| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_REPEAT

BOOST_PROTO_REPEAT — Repeatedly invoke the specified macro.

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_REPEAT(MACRO)

## Description

`BOOST_PROTO_REPEAT()` is used to generate the kind of repetitive code that is typical of DSELs built with Proto. `BOOST_PROTO_REPEAT(`MACRO`)` is equivalent to:

    MACRO(1, BOOST_PROTO_typename_A, BOOST_PROTO_A_const_ref, BOOST_PROTO_A_const_ref_a, BOOST_PROTO_ref_a)
    MACRO(2, BOOST_PROTO_typename_A, BOOST_PROTO_A_const_ref, BOOST_PROTO_A_const_ref_a, BOOST_PROTO_ref_a)
    ...
    MACRO(BOOST_PROTO_MAX_ARITY, BOOST_PROTO_typename_A, BOOST_PROTO_A_const_ref, BOOST_PROTO_A_const_ref_a, BOOST_PROTO_ref_a)

Example:

See `BOOST_PROTO_REPEAT_FROM_TO()`.